const input = Deno.readTextFileSync('./input.txt');

const elveCal = [];
let curElve = 0;
let curCal = 0;
for (const line of input.split('\n')) {
  if (line === '') {
    elveCal[curElve] = curCal;
    curCal = 0;
    curElve += 1;
  } else {
    curCal += parseInt(line);
  }
}
elveCal.sort().reverse();

console.log('Top Score:\t', elveCal[0]);
const top3 = elveCal.slice(0, 3).reduce((prev, cur) => prev + cur, 0);
console.log('Top three sum:\t', top3);
